1
fosterm
Protector 3.04
  • 2007/6/27 15:55

  • fosterm

  • Just popping in

  • Posts: 93

  • Since: 2005/8/7 2


Hi all:

Am trying to install protector for the first time on a XOOPS 2.0.16 site. I am currently getting a 500 error message when I try to access Protect Center, Security Advisor, or Prefix Manager (all these attempt to run admin/index.php file). I am able to access preferences with no problem.

I noticed during install it says in madfish's documentation, line #5 "Change the permissions of my_trust_path/modules/protector/configs to make it writable.

I do not have a configs directory in that location. Also I do not see a configs directory in the 3.04 zip file that I downloaded from GI Joes site.

What am I missing? I expect it has something to do with permissions and the missing config folder.

2
fosterm
Re: Protector 3.04
  • 2007/6/27 16:50

  • fosterm

  • Just popping in

  • Posts: 93

  • Since: 2005/8/7 2


It appears the zip file for protector 3.04 does not include all the files.

I downloaded the tgz file and it does have the config directory.

Did a complete uninstall of the incomplete zip file installation and reinstalled with the tgz version and I at least have got the module installed and can access the areas I could not access previously.

3
armitage
Re: Protector 3.04
  • 2007/6/27 17:00

  • armitage

  • Just popping in

  • Posts: 31

  • Since: 2005/8/19


fosterm: The path "my_trust_path/modules/protector/configs" is supposed to be a directory OUTSIDE of your web path. For example, if your XOOPS root directory exists at the path /www/xoops_root, you would create a directory, let's say, at /www/trusted_path. This secures the Protector configs from any unauthenticated access by 'casual visitors' to your site. Hope this helps.

4
MadFish
Re: Protector 3.04
  • 2007/6/27 17:17

  • MadFish

  • Friend of XOOPS

  • Posts: 1056

  • Since: 2003/9/27


Please see the user manual for Protector V3.04, it has detailed installation instructions.

5
fosterm
Re: Protector 3.04
  • 2007/6/27 18:45

  • fosterm

  • Just popping in

  • Posts: 93

  • Since: 2005/8/7 2


Thanks for the replies guys.

Even though the directions were a bit confusing, that was not the issue. The issue was/is that the zipped version of Protector at http://xoops.peak.ne.jp/md/mydownloads/viewcat.php?cid=1

seems to be missing some files, mainly the config directory.

I have the module up and running and have even added php.ini files to all the appropriate directories (see here)

My next question is, is it necessary to add the php.ini file to my coppermine (bridged to xoops) directory? Will it provide any more protection or cause any additional problems?

6
peterr
Re: Protector 3.04
  • 2007/6/28 4:55

  • peterr

  • Just can't stay away

  • Posts: 518

  • Since: 2004/8/5 9


'fosterm', in regards to the "missing" files in the protector archive, I had the same problem, but the files are not actually missing, it is because some archive viewers cannot (or will not) display a pathname where there are no files within that path.

For the .../configs path, there are no files in the archive, therefore the archive viewer you are using may not be set to view paths with no filenames.
NO to the Microsoft Office format as an ISO standard.
Sign the petition

7
psaxtiri
Re: Protector 3.04
  • 2007/7/16 13:18

  • psaxtiri

  • Not too shy to talk

  • Posts: 185

  • Since: 2007/6/17


The detailed installation file which i found through this topic drag my interest.

1) ..So i want to know where can i find protector 3.04 for download?

2) and if this is compatible with XOOPS 2.2.4.

Thank u so much.
Greece.
Xoops 2.0.18.12

8
Anonymous
Re: Protector 3.04
  • 2007/7/16 13:47

  • Anonymous

  • Posts: 0

  • Since:


Hi,

1. The latest version is now 3.04a and you can get it from GIJoe's site here.

2. I think that all GIJoe's modules work with both 2.0.x and 2.2.x versions, but perhaps someone can confirm this?

9
gtop00
Re: Protector 3.04
  • 2007/7/16 14:02

  • gtop00

  • Friend of XOOPS

  • Posts: 498

  • Since: 2004/11/13


Protector 3.01 works with 2.2.x

10
Dave_L
Re: Protector 3.04
  • 2007/7/16 14:45

  • Dave_L

  • XOOPS is my life!

  • Posts: 2277

  • Since: 2003/11/7


I'm using Protector 3.04a with both XOOPS 2.0.16 and XOOPS 2.2.5-RC2.

Login

Who's Online

45 user(s) are online (33 user(s) are browsing Support Forums)


Members: 0


Guests: 45


more...

Donat-O-Meter

Stats
Goal: $100.00
Due Date: Oct 31
Gross Amount: $0.00
Net Balance: $0.00
Left to go: $100.00
Make donations with PayPal!

Latest GitHub Commits